gpo.zugaina.org

Search Portage & Overlays:

www-servers/nginx-unit

A dynamic web&application server with modules many languages

Screenshots

  • nginx-unit-9999
    debug examples +ipv6 ssl +unix-sockets go perl php python ruby nodejs java +unit_modules_go +unit_modules_perl +unit_modules_php +unit_modules_python +unit_modules_ruby +unit_modules_nodejs +unit_modules_java php_targets_php7-1 php_targets_php7-2 php_targets_php7-3 php_targets_php7-4 python_targets_pypy3 python_targets_python2_7 python_targets_python3_6 python_targets_python3_7 ruby_targets_ruby24 ruby_targets_ruby25 ruby_targets_ruby26

    View      Download      Browse     License: Apache-2.0   
    Overlay: mva (layman)
  • nginx-unit-1.21.0
    ~amd64
    perl python ruby php7-2 php7-3 php7-4 ssl python_single_target_python3_6 python_single_target_python3_7 python_single_target_python3_8 python_single_target_python3_9

    View      Download      Browse     License: Apache-2.0   
    Overlay: gentoo (distro)
  • nginx-unit-1.20.0-r10
    ~amd64 ~arm ~arm64 ~x86
    debug examples ipv6 ssl +unix-sockets perl php python ruby unit_modules_perl unit_modules_php unit_modules_python unit_modules_ruby php_targets_php7-2 php_targets_php7-3 php_targets_php7-4 python_targets_pypy3 python_targets_python2_7 python_targets_python3_6 python_targets_python3_7 python_targets_python3_8 ruby_targets_ruby25 ruby_targets_ruby26 ruby_targets_ruby27

    View      Download      Browse     License: Apache-2.0   
    Overlay: mva (layman)
  • nginx-unit-1.20.0
    amd64
    perl python ruby php7-2 php7-3 php7-4 ssl python_single_target_python3_6 python_single_target_python3_7 python_single_target_python3_8

    View      Download      Browse     License: Apache-2.0   
    Overlay: gentoo (distro)

Runtime Dependencies

nginx-unit-9999


unit_modules_go?
      ( dev-lang/go:* )

unit_modules_perl?
      ( dev-lang/perl:* )

unit_modules_python?
      ( python_targets_pypy3?
            ( >=dev-python/pypy3-5:0=[threads
                  (+)
            ] )
       python_targets_python2_7?
            ( >=dev-lang/python-2.7.5-r2:2.7[threads
                  (+)
            ] )
       python_targets_python3_6?
            ( dev-lang/python:3.6[threads
                  (+)
            ] )
       python_targets_python3_7?
            ( dev-lang/python:3.7[threads
                  (+)
            ] )
       >=dev-lang/python-exec-2:=[python_targets_pypy3
            (-)
      ?
,python_targets_python2_7
            (-)
      ?
,python_targets_python3_6
            (-)
      ?
,python_targets_python3_7
            (-)
      ?
,-python_single_target_pypy3
            (-)
      ,-python_single_target_python2_7
            (-)
      ,-python_single_target_python3_6
            (-)
      ,-python_single_target_python3_7
            (-)
      ] )

unit_modules_ruby?
      ( ruby_targets_ruby24?
            ( dev-lang/ruby:2.4 )
       ruby_targets_ruby25?
            ( dev-lang/ruby:2.5 )
       ruby_targets_ruby26?
            ( dev-lang/ruby:2.6 )
       )

unit_modules_nodejs?
      ( net-libs/nodejs:* )

unit_modules_java?
      ( virtual/jre:* )

ssl?
      ( dev-libs/openssl:0= )

unit_modules_php?
      ( php_targets_php7-1?
            ( dev-lang/php:7.1[embed] )
       php_targets_php7-2?
            ( dev-lang/php:7.2[embed] )
       php_targets_php7-3?
            ( dev-lang/php:7.3[embed] )
       php_targets_php7-4?
            ( dev-lang/php:7.4[embed] )
       )

nginx-unit-1.21.0


perl?
      ( dev-lang/perl:= )

php7-2?
      ( dev-lang/php:7.2[embed] )

php7-3?
      ( dev-lang/php:7.3[embed] )

php7-4?
      ( dev-lang/php:7.4[embed] )

python?
      ( python_single_target_python3_6?
            ( dev-lang/python:3.6 >=dev-lang/python-exec-2:=[python_targets_python3_6] )
       python_single_target_python3_7?
            ( dev-lang/python:3.7 >=dev-lang/python-exec-2:=[python_targets_python3_7] )
       python_single_target_python3_8?
            ( dev-lang/python:3.8 >=dev-lang/python-exec-2:=[python_targets_python3_8] )
       python_single_target_python3_9?
            ( dev-lang/python:3.9 >=dev-lang/python-exec-2:=[python_targets_python3_9] )
       )

ruby?
      ( dev-lang/ruby:* dev-ruby/rubygems:* )

ssl?
      ( dev-libs/openssl:0 )

nginx-unit-1.20.0-r10


unit_modules_perl?
      ( dev-lang/perl:= )

unit_modules_python?
      ( python_targets_pypy3?
            ( >=dev-python/pypy3-7.3.0:0=[threads
                  (+)
            ] )
       python_targets_python2_7?
            ( >=dev-lang/python-2.7.5-r2:2.7[threads
                  (+)
            ] )
       python_targets_python3_6?
            ( dev-lang/python:3.6[threads
                  (+)
            ] )
       python_targets_python3_7?
            ( dev-lang/python:3.7[threads
                  (+)
            ] )
       python_targets_python3_8?
            ( dev-lang/python:3.8[threads
                  (+)
            ] )
       >=dev-lang/python-exec-2:=[python_targets_pypy3
            (-)
      ?
,python_targets_python2_7
            (-)
      ?
,python_targets_python3_6
            (-)
      ?
,python_targets_python3_7
            (-)
      ?
,python_targets_python3_8
            (-)
      ?
,-python_single_target_pypy3
            (-)
      ,-python_single_target_python2_7
            (-)
      ,-python_single_target_python3_6
            (-)
      ,-python_single_target_python3_7
            (-)
      ,-python_single_target_python3_8
            (-)
      ] )

unit_modules_ruby?
      ( ruby_targets_ruby25?
            ( dev-lang/ruby:2.5 )
       ruby_targets_ruby26?
            ( dev-lang/ruby:2.6 )
       ruby_targets_ruby27?
            ( dev-lang/ruby:2.7 )
       )

ssl?
      ( dev-libs/openssl:0= )

unit_modules_php?
      ( php_targets_php7-2?
            ( dev-lang/php:7.2[embed] )
       php_targets_php7-3?
            ( dev-lang/php:7.3[embed] )
       php_targets_php7-4?
            ( dev-lang/php:7.4[embed] )
       )

nginx-unit-1.20.0


perl?
      ( dev-lang/perl:= )

php7-2?
      ( dev-lang/php:7.2[embed] )

php7-3?
      ( dev-lang/php:7.3[embed] )

php7-4?
      ( dev-lang/php:7.4[embed] )

python?
      ( python_single_target_python3_6?
            ( dev-lang/python:3.6 >=dev-lang/python-exec-2:=[python_targets_python3_6] )
       python_single_target_python3_7?
            ( dev-lang/python:3.7 >=dev-lang/python-exec-2:=[python_targets_python3_7] )
       python_single_target_python3_8?
            ( dev-lang/python:3.8 >=dev-lang/python-exec-2:=[python_targets_python3_8] )
       )

ruby?
      ( dev-lang/ruby:* )

ssl?
      ( dev-libs/openssl:0 )